package cn.iocoder.yudao.module.member.dal.mysql.storeevaluate;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.member.controller.admin.storeevaluate.vo.StoreEvaluatePageReqVO;
import cn.iocoder.yudao.module.member.dal.dataobject.storeevaluate.StoreEvaluateDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 店铺评价 Mapper
 *
 * @author 开发账号
 */
@Mapper
public interface StoreEvaluateMapper extends BaseMapperX<StoreEvaluateDO> {

    default PageResult<StoreEvaluateDO> selectPage(StoreEvaluatePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<StoreEvaluateDO>()
                .eqIfPresent(StoreEvaluateDO::getUserId, reqVO.getUserId())
                .eqIfPresent(StoreEvaluateDO::getStoreId, reqVO.getStoreId())
                .likeIfPresent(StoreEvaluateDO::getStoreName, reqVO.getStoreName())
                .eqIfPresent(StoreEvaluateDO::getEvaluate, reqVO.getEvaluate())
                .eqIfPresent(StoreEvaluateDO::getDishEvaluate, reqVO.getDishEvaluate())
                .eqIfPresent(StoreEvaluateDO::getSerEvaluate, reqVO.getSerEvaluate())
                .eqIfPresent(StoreEvaluateDO::getEnvEvaluate, reqVO.getEnvEvaluate())
                .eqIfPresent(StoreEvaluateDO::getRemark, reqVO.getRemark())
                .eqIfPresent(StoreEvaluateDO::getUrl, reqVO.getUrl())
                .betweenIfPresent(StoreEvaluateDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(StoreEvaluateDO::getId));
    }

}